import 'variants.dart';

class VariantCategories {
  String id;
  String caption;
  int type;
  List<Variants> variant;

  VariantCategories(
      {required this.id,
      required this.caption,
      required this.type,
      this.variant = const []});

  factory VariantCategories.createVariantCategory(Map<String, dynamic> json) {
    return VariantCategories(
      id: json['id'],
      caption: json['caption'],
      type: json['type'],
      variant: json['variants'],
    );
  }
}
